- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 86e1e87b-5adb-4d4c-8f35-2134df8d9653
    creation_time: 2023-02-17T12:13:02.042756Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/ps4.c
      input_file_hashes:
        c/nla-digbench/ps4.c: 197bb91209feafbd50d8f722faabb2ddec80478a21cb1768541ed232586540b8
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/ps4.c
    file_hash: 197bb91209feafbd50d8f722faabb2ddec80478a21cb1768541ed232586540b8
    line: 25
    column: 0
    function: main
  loop_invariant:
    string: 4*x-y*y*y*y-2*y*y*y-y*y == 0 && c == y &&  ( c <= k || k < 0 && 0 == c ) 
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 5974c712-6903-433d-aa4f-07cca194611f
    creation_time: 2023-02-17T12:13:02.043116Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/ps4.c
      input_file_hashes:
        c/nla-digbench/ps4.c: 197bb91209feafbd50d8f722faabb2ddec80478a21cb1768541ed232586540b8
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/ps4.c
    file_hash: 197bb91209feafbd50d8f722faabb2ddec80478a21cb1768541ed232586540b8
    line: 26
    column: 0
    function: main
  location_invariant:
    string: 4*x-y*y*y*y-2*y*y*y-y*y == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 1907b254-19bc-41ff-b36d-ff0aa3233f54
    creation_time: 2023-02-17T12:13:02.043227Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/ps4.c
      input_file_hashes:
        c/nla-digbench/ps4.c: 197bb91209feafbd50d8f722faabb2ddec80478a21cb1768541ed232586540b8
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/ps4.c
    file_hash: 197bb91209feafbd50d8f722faabb2ddec80478a21cb1768541ed232586540b8
    line: 35
    column: 0
    function: main
  location_invariant:
    string: k*y-y*y == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 03344ba5-9f41-4e9e-a491-1fd83931aacd
    creation_time: 2023-02-17T12:13:02.043315Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/ps4.c
      input_file_hashes:
        c/nla-digbench/ps4.c: 197bb91209feafbd50d8f722faabb2ddec80478a21cb1768541ed232586540b8
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/ps4.c
    file_hash: 197bb91209feafbd50d8f722faabb2ddec80478a21cb1768541ed232586540b8
    line: 36
    column: 0
    function: main
  location_invariant:
    string: 4*x-y*y*y*y-2*y*y*y-y*y == 0
    type: assertion
    format: C

